v_hdmitx: xv_hdmitx_vsif.c File Reference

| v_hdmitx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xv_hdmitx_vsif.c File Reference

## Overview

Contains function definitions related to Vendor Specific InfoFrames used in HDMI.

Please see xv_hdmitx_vsif.h for more details of the driver.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  yh     15/01/15 Initial release for 3D video support
    1.01  YH     19/07/17 Clean up Print Statement line ending to "\r\n"
    2.00  EB     23/01/18 This file is deprecated. All the APIs are now moved
                                                to HDMI Common library

## Functions
int | XV_HdmiTx_VSIF_ParsePacket (XHdmiC_Aux *AuxPtr, XV_HdmiTx_VSIF *VSIFPtr)
| This function parses a Vendor Specific InfoFrame (VSIF). More...
int | XV_HdmiTx_VSIF_GeneratePacket (XV_HdmiTx_VSIF *VSIFPtr, XHdmiC_Aux *AuxPtr)
| This function generates a Vendor Specific InfoFrame (VSIF). More...
void | XV_HdmiTx_VSIF_DisplayInfo (XV_HdmiTx_VSIF *VSIFPtr)
| This function displays the contents of an XV_HdmiTx_VSIF instance. More...
char * | XV_HdmiTx_VSIF_3DStructToString (XV_HdmiTx_3D_Struct_Field Item)
| This function returns a string representation of the enumerated type XV_HdmiTx_3D_Struct_Field. More...
char * | XV_HdmiTx_VSIF_3DSampMethodToString (XV_HdmiTx_3D_Sampling_Method Item)
| This function returns a string representation of the enumerated type XV_HdmiTx_3D_Sampling_Method. More...
char * | XV_HdmiTx_VSIF_3DSampPosToString (XV_HdmiTx_3D_Sampling_Position Item)
| This function returns a string representation of the enumerated type XV_HdmiTx_3D_Sampling_Position. More...

## Function Documentation

char* XV_HdmiTx_VSIF_3DSampMethodToString | ( | XV_HdmiTx_3D_Sampling_Method | Item | ) |

This function returns a string representation of the enumerated type XV_HdmiTx_3D_Sampling_Method.

Parameters

  Item | specifies the value to convert.

Returns
  Pointer to the converted string.

References XV_HDMITX_3D_SAMPLING_HORIZONTAL, and XV_HDMITX_3D_SAMPLING_QUINCUNX.

Referenced by XV_HdmiTx_VSIF_DisplayInfo().

char* XV_HdmiTx_VSIF_3DSampPosToString | ( | XV_HdmiTx_3D_Sampling_Position | Item | ) |

This function returns a string representation of the enumerated type XV_HdmiTx_3D_Sampling_Position.

Parameters

  Item | specifies the value to convert.

Returns
  Pointer to the converted string.

References XV_HDMITX_3D_SAMPPOS_ELER, XV_HDMITX_3D_SAMPPOS_ELOR, XV_HDMITX_3D_SAMPPOS_OLER, and XV_HDMITX_3D_SAMPPOS_OLOR.

Referenced by XV_HdmiTx_VSIF_DisplayInfo().

char* XV_HdmiTx_VSIF_3DStructToString | ( | XV_HdmiTx_3D_Struct_Field | Item | ) |

This function returns a string representation of the enumerated type XV_HdmiTx_3D_Struct_Field.

Parameters

  Item | specifies the value to convert.

Returns
  Pointer to the converted string.

References XV_HDMITX_3D_STRUCT_FIELD_ALTERNATIVE, XV_HDMITX_3D_STRUCT_FRAME_PACKING, XV_HDMITX_3D_STRUCT_L_DEPTH, XV_HDMITX_3D_STRUCT_L_DEPTH_GRAPH_GDEPTH, XV_HDMITX_3D_STRUCT_LINE_ALTERNATIVE, XV_HDMITX_3D_STRUCT_SIDE_BY_SIDE_FULL, XV_HDMITX_3D_STRUCT_SIDE_BY_SIDE_HALF, and XV_HDMITX_3D_STRUCT_TOP_AND_BOTTOM.

Referenced by XV_HdmiTx_VSIF_DisplayInfo().

void XV_HdmiTx_VSIF_DisplayInfo | ( | XV_HdmiTx_VSIF * | VSIFPtr | ) |

This function displays the contents of an XV_HdmiTx_VSIF instance.

Parameters

  VSIFPtr | is a pointer to the XV_HdmiTx_VSIF instance.

Returns
  None.

References XV_HdmiTx_VSIF::Format, XV_HdmiTx_VSIF::HDMI_VIC, XV_HdmiTx_VSIF::Info_3D, XV_HdmiTx_3D_MetaData::IsPresent, XV_HdmiTx_3D_Info::MetaData, XV_HDMITX_3D_STRUCT_SIDE_BY_SIDE_HALF, XV_HdmiTx_VSIF_3DSampMethodToString(), XV_HdmiTx_VSIF_3DSampPosToString(), XV_HdmiTx_VSIF_3DStructToString(), XV_HDMITX_VSIF_VF_3D, and XV_HDMITX_VSIF_VF_EXTRES.

int XV_HdmiTx_VSIF_GeneratePacket | ( | XV_HdmiTx_VSIF * | VSIFPtr,
|  | XHdmiC_Aux * | AuxPtr
| ) |  |

This function generates a Vendor Specific InfoFrame (VSIF).

Parameters

  VSIFPtr | is a pointer to the XV_HdmiTx_VSIF instance.
  AuxPtr | is a pointer to the XV_HdmiTx_Tx_Aux instance.

Returns
  - XST_SUCCESS if operation was successful
  - XST_FAILURE if an error was detected during generation

References XV_HdmiTx_3D_MetaData::Data, XV_HdmiTx_VSIF::Format, XV_HdmiTx_VSIF::HDMI_VIC, XV_HdmiTx_VSIF::IEEE_ID, XV_HdmiTx_VSIF::Info_3D, XV_HdmiTx_3D_MetaData::IsPresent, XV_HdmiTx_3D_MetaData::Length, XV_HdmiTx_3D_Info::MetaData, XV_HdmiTx_3D_MetaData::Type, XV_HdmiTx_VSIF::Version, XV_HDMITX_3D_STRUCT_SIDE_BY_SIDE_HALF, XV_HDMITX_VSIF_VF_3D, and XV_HDMITX_VSIF_VF_EXTRES.

int XV_HdmiTx_VSIF_ParsePacket | ( | XHdmiC_Aux * | AuxPtr,
|  | XV_HdmiTx_VSIF * | VSIFPtr
| ) |  |

This function parses a Vendor Specific InfoFrame (VSIF).

Parameters

  AuxPtr | is a pointer to the XV_HdmiTx_Rx_Aux instance.
  VSIFPtr | is a pointer to the XV_HdmiTx_VSIF instance.

Returns
  - XST_SUCCESS if operation was successful
  - XST_FAILURE if an error was detected during parsing

References XV_HdmiTx_VSIF::Format, XV_HdmiTx_VSIF::HDMI_VIC, XV_HdmiTx_VSIF::IEEE_ID, XV_HdmiTx_VSIF::Info_3D, XV_HdmiTx_VSIF::Version, XV_HDMITX_VSIF_VF_3D, XV_HDMITX_VSIF_VF_EXTRES, and XV_HDMITX_VSIF_VF_NOINFO.